Create cash-in or cash-out

Create a cash-in or cash-out payment operation. The type of operation depends on the processing code (credit for cash-in and debit for cash-out).

  • For cash-in operations, the processing code must be of credit type. When creating a processing code, ensure that the balance_impact is 1 (credit).
  • For cash-out operations, the processing code must be of debit type. When creating a processing code, ensure that the balance_impact is -1 (debit).

With this endpoint, you have the following additional options.

  • Specify the authentication method and details.
  • Set pre_authorization to true for operations that require additional confirmation and then call the Confirm pre-authorized cash-in or cash-out endpoint.
  • Set validation_rules to control the rules in this flow, such as disabling a rule, changing the response code and denial code, and forcing a rule.

Refer to the Payment methods and Payment configurations guides for additional information.

This endpoint generates a Platform authorization created event.

Note: This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request processing body.

Request authorization processing for a cash-in or cash-out operation.

int64
required

Pismo account ID.

string
length between 36 and 50

UUID for the beneficiary related to the account.

float
required

Credit or debit amount.

string

ISO-4217 alphabetic or numeric (3 characters) authorization currency code. For example, either BRL or 986 for Brazilian real. If you don't provide the currency, the platform uses the currency registered in the Pismo hierarchy (first looking at the account, then program, and then Org levels).

string
required

Unique processing code that identifies the credit or debit operation.

string
required
length between 36 and 50

Unique tracking ID for this operation.

authentication
object

Authentication object.

string

Optional text that describes the operation.

metadata
object

This optional user-defined key-value object field can be used with external operations to provide additional context or supplementary custom information for the operation.

The Pismo platform does not perform any validation or processing on this field but passes this object to the acquirer in transactions involving calls to the acquirer and sends it in the events related to the stream of data produced at the end of the request.

Note: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to Get started with Pismo APIs.

date-time

Effective payment date in the UTC-0 RFC3339 format, which includes milliseconds (yyyy-MM-ddThh:mm:ss.SSSZ). Payments can be backdated but future dates are not allowed.

boolean
Defaults to false

If set to true, this flag indicates that the operation is pre-authorized and requires additional confirmation.

validation_rules
object

Validation rules performed in the flow. Each key is a rule name (such as ACCOUNT_STATUS or LEDGER) and the value is its configuration.

authorization_validations
object

Contains additional data to be used in the authorization flow. This field is only considered for authorizations. Cancellations and confirmations will retrieve it based on the original authorization.

original_authorization
object

This optional field identifies the original authorization to be linked. When this object is provided, both the id and type fields need to be filled.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json